using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        if (e.Argument.IndexOf("display") != -1)
        {
            string colUniqueName = e.Argument.Substring(0, e.Argument.IndexOf("display"));
            GridColumn hiddenColumn = RadGrid1.MasterTableView.GetColumnSafe(colUniqueName) as GridColumn;

            RadAjaxManager1.Alert(colUniqueName + " display - " + hiddenColumn.Display);
        }
    }
}
